-- More generic script for converting memo_id to a 32-character string
-- (see 2004-02-27_use_string_memo_ids.mysql.sql for MySQL; it's much
-- simpler). This general process worked for me on Postgres.

ALTER TABLE mnemo_memos ADD COLUMN new_id VARCHAR(32);
UPDATE mnemo_memos SET new_id = memo_id;
ALTER TABLE mnemo_memos DROP COLUMN memo_id;
ALTER TABLE mnemo_memos RENAME COLUMN new_id TO memo_id;
ALTER TABLE mnemo_memos ALTER COLUMN memo_id SET NOT NULL;
CREATE INDEX mnemo_memos_pkey ON mnemo_memos (memo_id);
CREATE INDEX mnemo_owners_key ON mnemo_memos (memo_owner);
